Indicators <-
function(groups, expressions, annotations){
	
	INDIC = function(group.element){
		if (length(group.element) > 1){
			correlations = cor(t(expressions)[,group.element])
			res.c = sum(correlations[lower.tri(correlations, diag = F)])/(length(group.element)*(length(group.element)-1) /2)

			biologie = apply(annotations[group.element, ], 2, as.numeric)
			biologie = biologie[, which(apply(biologie, 2, sum) > 0)]
			res.b = 1- (sqrt(chisq.test(biologie)$statistic / (sum(biologie) * (min(dim(biologie))-1))))
			names(res.b)  = NULL
			res = list(res.c, res.b)
		} else 	
			res = rep(NA, 2)

		names(res) = names(group.element) ; names(res)[1] = "indic.coexp" ; names(res)[2] = "indic.hb"
		return(res)
	}
	indic = lapply(groups, INDIC)	
	return(indic)
}
