IndicatorsPvalues <-
function(abaque, groups, groups.indic, expressions, annotations, NB.SIM){
	
	size = function(x){return(as.numeric(lapply(1:length(x), function(g){return(length(x[[g]]))})))}
	taille.g = unique(size(groups))
	taille.g = taille.g[taille.g > 1]

	ABAQUE = function(taille, abaque){
		if(!is.element(taille, names(abaque))){
			simu = replicate(NB.SIM, Indicators(groups = list(sample(row.names(expressions))[1:taille]), expressions = expressions, annotations = annotations))
			simu = t(simplify2array(simu))
			abaque[[taille]] = simu ; names(abaque)[taille] = taille
		}
		if(nrow(abaque[[taille]]) < NB.SIM){
			simu = replicate((NB.SIM - nrow(abaque[[taille]])), Indicators(groups = list(sample(row.names(expressions))[1:taille]), expressions = expressions, annotations = annotations))
			simu = t(simplify2array(simu))
			#simu = t(matrix(unlist(simu), 2, (NB.SIM - nrow(abaque[[taille]]))))
			abaque[[taille]] = rbind(abaque[[taille]], simu) ; names(abaque)[taille] = taille
		}
	return(abaque)
	}
	for (i in 1:length(taille.g)){
		abaque = ABAQUE(taille.g[i], abaque)
	}

	PVAL = function(i, groups, groups.indic, abaque){
		if (length(groups[[i]]) != 1){
			pval = c(sapply(1:2, function(I){return(length(which(as.numeric(abaque[[length(groups[[i]])]][, 1]) > groups.indic[[i]][I])) / nrow(abaque[[length(groups[[i]])]]))}))
		} else {pval = rep(NA, 2)}
		names(pval) = c("indic.coexp", "indic.hb")
		return(pval)
	}
	
	groups.pval = lapply(1: length(groups), PVAL, groups, groups.indic, abaque) 
	names(groups.pval) = names(groups)
	return(list(groups.pval, abaque))
}
