\name{IndicatorsPvalues}
\alias{IndicatorsPvalues}
\title{P-values associated with indicators}
\description{Compute the calculation of p-values associated with the coexpression and the biological homogeneity indicators}
\usage{
	IndicatorsPvalues(abaque, groups, groups.indic, expressions, annotations, NB.SIM)
}
\arguments{
	\item{abaque}{optional, a list containing the simulated distributions used to calculate p-values associated with the indicators}
	\item{groups}{a list containing one element per cluster with the names of the objects}
	\item{groups.indic}{values of the indicators for all clusters}
	\item{expressions}{expression data set with genes in rows and samples in columns}
	\item{annotations}{annotation data set with genes in rows and annotation terms in columns}
	\item{NB.SIM}{number of simulations which are performed to obtain p-values distributions associated with the indicators}
}
\value{
	\item{groups.pval}{p-values of the indicators for all clusters}
	\item{abaque}{a list containing the simulated distributions used to calculate p-values associated with the indicators}
}
%\references{}
\author{Marie Verbanck, Sébastien Lê and Jérôme Pagès}
%\note{}
%\seealso{}
%\examples{}
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
