MCAsimple <-
function(data, S = NULL){
	X = tab.disjonctif(data)
	X = as.matrix(X / sum(X))

	marge_ligne = apply(X, 1, sum)
	marge_colonne = apply(X, 2, sum)

	X = sweep(X, 1, marge_ligne, FUN = "/")
	X = sweep(X, 2, marge_colonne, FUN = "/") - 1

	res.ca = svd.triplet(X, marge_ligne, marge_colonne)

	if (is.null(S)) 
		S = min(nrow(X) - 1, ncol(X) - 1)
	coord.ind = sweep(res.ca$U, 2, res.ca$vs, "*")[, 1:S]

	row.names(coord.ind) = row.names(data)
	return(coord.ind)
}
