\name{GeneClustering}
\alias{GeneClustering}
\title{Gene Clustering based on coexpressed biological functions}
\description{
	Performs a gene clustering based on a table on coexpressed biological functions}
\usage{
	GeneClustering(annotations.sep, nb.dim.an = NULL, nb.group)}
}
\arguments{
	\item{annotations.sep}{a binary matrix encoding the associations betweeen genes and coexpressed biological functions. Typically an output matrix from Integration()}
	\item{nb.dim.an}{number of underlying dimensions of the annotation data set. This number will correspond to the number of dimensions kept in the clustering procedure. If NULL, all the dimensions will be taken into account}
	\item{nb.group}{number of gene clusters to build}
}
\value{
	\item{groups}{a list containing one element per cluster with the names of the genes}
}
%\references{}
\author{Marie Verbanck, Sébastien Lê and Jérôme Pagès}
%\note{}
%\seealso{}
%\examples{}
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
