\name{PCAsimple}
\alias{PCAsimple}
\title{Principal Component Analysis}
\description{Performs Principal Component Analysis (PCA).}
\usage{
	PCAsimple(data, scale = FALSE, S = NULL)
}
\arguments{
	\item{data}{A quantitative data frame with individuals in row and variables in columns}
	\item{scale}{a boolean, if TRUE then data are scaled to unit variance}
	\item{S}{number of axes to keep in the results}
}
\value{
	\item{eig}{Eigenvalues}
	\item{ind}{Coordinates of the individuals on the PCA axis}
	\item{var}{Coordinates of the variables on the PCA axis}
}
%\references{}
\author{Marie Verbanck, Sébastien Lê and Jérôme Pagès}
%\note{}
%\seealso{}
%\examples{}
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
