\name{PlotPvalues}
\alias{PlotPvalues}
\title{Graphical display of p-values associated with indicators}
\description{Provides a graphical output for p-values associated with indicators of several clusters}
\usage{
	PlotPvalues(RES, col = 1, main = NULL, pch = 20)
}
\arguments{
	\item{RES}{a result object provided by the GeneClustering() function}
	\item{col}{color of the points to be ploted, if NULL, points are automatically colored according to the size of clusters}
	\item{main}{title of the plot}
	\item{pch}{symbol to use in the plot}
}
\value{
	return a plot with the p-values of the coexpression indicator on the x-axis, the p-values of the biological homogeneity indicator on the y-axis, for all clusters
}
%\references{}
\author{Marie Verbanck, Sébastien Lê and Jérôme Pagès}
%\note{}
%\seealso{}
%\examples{}
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
